name: flux
description: "Gestione attività negozio di telefonia"
publish_to: 'none'
version: 1.1.22+40

environment:
  sdk: ^3.11.3

dependencies:
  collection: ^1.19.1
  equatable: ^2.0.8
  file_picker: ^11.0.2
  flutter:
    sdk: flutter
  flutter_web_plugins:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  flutter_bloc: ^9.1.1
  flutter_dotenv: ^6.0.0
  flutter_svg: ^2.2.4
  get_it: ^9.2.1
  go_router: ^17.2.0
  google_fonts: ^8.0.2
  image_picker: ^1.2.1
  internet_file: ^1.3.0
  intl: ^0.20.2
  pdfx: ^2.9.2
  permission_handler: ^12.0.1
  qr_flutter: ^4.1.0
  shared_preferences: ^2.5.5
  supabase_flutter: ^2.12.2
  uuid: ^4.5.3
  pdf: ^3.12.0
  universal_io: ^2.3.1
  url_launcher: ^6.3.2
  printing: ^5.14.3
  font_awesome_flutter: ^11.0.0
  flutter_launcher_icons: ^0.14.4
  package_info_plus: ^9.0.1
  flutter_staggered_grid_view: ^0.7.0
  firebase_core: ^4.9.0
  firebase_messaging: ^16.2.2
  universal_html: ^2.3.0

dependency_overrides:
  pdfx:
    git:
      url: https://github.com/ScerIO/packages.flutter.git
      ref: main
      path: packages/pdfx

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^6.0.0

flutter:
  config:
    enable-swift-package-manager: false
  uses-material-design: true
  generate: true

  assets:
    - assets/images/
    - assets/icon/
    - assets/svg/
    - .env
